Skip to main content
PUT
Update a webhook by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

webhookId
string
required

UUID of the webhook

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
url
string
required
Pattern: ^(https:\/\/)[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}(\/.*)?$|^arn:aws:sns:[a-z0-9-]*:[0-9]{12}:[a-zA-Z0-9-_]+$
Example:

"https://website-sample.com"

isEnabled
boolean
required

When true the webhook delivers events; when false events are silently skipped

events
string[]
required

Array of subscribed event type names (e.g. "admin.user.created", "admin.webhook.updated")

Response

Webhook for this project environment

environmentId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

webhookId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

url
string
required
Pattern: ^(https:\/\/)[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}(\/.*)?$|^arn:aws:sns:[a-z0-9-]*:[0-9]{12}:[a-zA-Z0-9-_]+$
Example:

"https://website-sample.com"

events
string[]
required

List of subscribed event type names (e.g. "admin.user.created")

isEnabled
boolean
required

Whether the webhook is actively delivering events

createdAt
string<date-time>
required

ISO 8601 timestamp of when the webhook was created

updatedAt
string<date-time>
required

ISO 8601 timestamp of when the webhook was last updated

secret
string

HMAC signing secret used to verify webhook payload authenticity

version
string

Webhook payload format version

enabledAt
string<date-time>

ISO 8601 timestamp of when the webhook was last enabled

Last modified on July 24, 2026